"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeneratedPagination = void 0;
var react_1 = require("react");
var reactstrap_1 = require("reactstrap");
var lodash_1 = require("lodash");
require("./style/bootstrap.min.css");
var GeneratedPagination = function (_a) {
    var onClick = _a.onClick, resetPagination = _a.resetPagination, _b = _a.numberOfScreens, numberOfScreens = _b === void 0 ? 5 : _b, onPreviousArrow = _a.onPreviousArrow, onNextArrow = _a.onNextArrow, _c = _a.paginationPageLinkStyle, paginationPageLinkStyle = _c === void 0 ? {} : _c, _d = _a.paginationContainerStyle, paginationContainerStyle = _d === void 0 ? {} : _d;
    var _e = react_1.useState(1), currentPage = _e[0], setCurrentPage = _e[1];
    var _f = react_1.useState(1), starter = _f[0], setStarter = _f[1];
    react_1.useEffect(function () {
        if (resetPagination === 1) {
            setCurrentPage(1);
            setStarter(1);
        }
    }, [resetPagination]);
    var onPreviousArrow2 = function () {
        if (starter === 1) {
            return;
        }
        var newStarter = starter - numberOfScreens;
        setStarter(newStarter);
        setCurrentPage(newStarter);
        onClick(newStarter);
        if (onPreviousArrow)
            onPreviousArrow();
    };
    var onNextArrow2 = function () {
        var newStarter = starter + numberOfScreens;
        setStarter(newStarter);
        setCurrentPage(newStarter);
        onClick(newStarter);
        if (onNextArrow)
            onNextArrow();
    };
    return (react_1.default.createElement(reactstrap_1.Pagination, { "aria-label": "Page navigation", style: __assign({}, paginationContainerStyle) },
        react_1.default.createElement(reactstrap_1.PaginationItem, { key: "pre" },
            react_1.default.createElement(reactstrap_1.PaginationLink, { previous: true, onClick: onPreviousArrow2, style: __assign({}, paginationPageLinkStyle) })),
        lodash_1.range(starter, starter + numberOfScreens).map(function (counter, index) {
            return (react_1.default.createElement(reactstrap_1.PaginationItem, { key: counter, active: counter === currentPage },
                react_1.default.createElement(reactstrap_1.PaginationLink, { style: __assign({}, paginationPageLinkStyle), onClick: function () {
                        setCurrentPage(counter);
                        onClick(counter);
                    } }, counter)));
        }),
        react_1.default.createElement(reactstrap_1.PaginationItem, { key: "next" },
            react_1.default.createElement(reactstrap_1.PaginationLink, { next: true, onClick: onNextArrow2, style: __assign({}, paginationPageLinkStyle) }))));
};
exports.GeneratedPagination = GeneratedPagination;
